Name:           httpcomponents-core
Version:        4.4.15
Release:        1
Summary:        Set of low level Java HTTP transport components for HTTP services
License:        ASL 2.0
URL:            http://hc.apache.org/
Source0:        http://www.apache.org/dist/httpcomponents/httpcore/source/httpcomponents-core-%{version}-src.tar.gz

Patch0:         0001-Port-to-mockito-2.patch 

BuildArch:      noarch
BuildRequires:  maven-local apache-commons-logging junit apache-commons-lang3 mockito
BuildRequires:  maven-plugin-bundle httpcomponents-project maven-plugin-build-helper


Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description
HttpCore is a set of low level HTTP transport components that can be
used to build custom client and server side HTTP services with a
minimal footprint. HttpCore supports two I/O models: blocking I/O
model based on the classic Java I/O and non-blocking, event driven I/O
model based on Java NIO.

%prep
%setup -q -c -n %{name}-%{version}
%patch0 -p1

sed -i '/Thread.sleep/s/100/2000/' httpcore-nio/src/test/java/org/apache/http/nio/integration/TestHttpAsyncHandlers.java

%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :apache-rat-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-javadoc-plugin

%pom_remove_dep :conscrypt-openjdk-uber httpcore-nio
rm httpcore-nio/src/test/java/org/apache/http/nio/integration/TestJSSEProviderIntegration.java

%pom_disable_module httpcore-osgi
%pom_disable_module httpcore-ab

for module in httpcore httpcore-nio; do
    %pom_xpath_remove "pom:project/pom:packaging" $module
    %pom_xpath_inject "pom:project" "<packaging>bundle</packaging>" $module
    %pom_remove_plugin :maven-jar-plugin $module
    %pom_xpath_inject "pom:build/pom:plugins" "
        <plugin>
          <groupId>org.apache.felix</groupId>
          <artifactId>maven-bundle-plugin</artifactId>
          <extensions>true</extensions>
          <configuration>
            <instructions>
              <Export-Package>*</Export-Package>
              <Private-Package></Private-Package>
              <Automatic-Module-Name>org.apache.httpcomponents.$module</Automatic-Module-Name>
              <_nouses>true</_nouses>
            </instructions>
          </configuration>
        </plugin>" $module
done

%mvn_file ":{*}" httpcomponents/@1

%build
%mvn_build

%install
%mvn_install

%files
%defattr(-,root,root)
%doc NOTICE.txt README.txt RELEASE_NOTES.txt
%license LICENSE.txt
%{_datadir}/java/*
%{_datadir}/javadoc/*
%{_datadir}/maven-poms/*
%{_datadir}/maven-metadata/*

%changelog
* Fri Nov 4 2022 liyanan <liyanan32@h-partners.com> - 4.4.15-1
- Update to 4.4.15

* Sat Dec 7 2019 openEuler Buildteam <buildteam@openeuler.org> - 4.4.10-4
- Package init
